Change to Minimum OS Requirements with Release 7.3


Mobile Claims is being redesigned with a new look, technology upgrades and feature enhancements for users globally.  With these advancements, new minimum technology standards will be required to continue using Mobile Claims on all devices. 


  • New minimum OS requirements will begin with Release 7.3which is scheduled for release between April and May 2024
  • Windows 10 1903 (18362) or higher or Windows Server 2019 (18362) or higher will be required to run Mobile Claims
  • This requirement only affects Mobile Claims and does not affect Claims Connect or LINK
  • All user types of Mobile Claims will be affected
  • Customers should start planning for this transition as early as possible


To learn more, contact your Customer Success Representative




How to check your Windows version

  1. W+R
  2. winver





pdf

Did you find it helpful? Yes No

Send feedback
Sorry we couldn't be helpful. Help us improve this article with your feedback.
North America
(877) 862-8069
support.claims@corelogic.com
Français (Canada)
(888) 579-8053
soutien.technique@corelogic.com
Deutschland
+49 (800) 360 3655
hilfe@symbilitysolutions.com
U.K. and the rest of Europe
+44 0330 380 1282
uk.claims.support@corelogic.com
Australia
1300 819 917
hilfe@corelogic.com
New Zealand
0800 796 245
symhelp@corelogic.co.nz